<?php
class Mandrill extends Module
{
	
	function Mandrill() {
	}

//	https://mandrillapp.com/api/docs/index.JSON.html
//	https://mandrillapp.com/api/docs/messages.JSON.html#stq=&stp=0

	public function sendEmail( $apiKey, $emailConfigData) {
		
		$emailer = loadModule('Email');
		$emailTemplateData = $emailer->renderEmail( $emailConfigData);
		
		$mandrillToArray = array();
		foreach( $emailConfigData['toEmailAddresses'] as $emailAddress) {
			array_push( $mandrillToArray, array('email' => $emailAddress));
		}
		
		$endpointURL = 'https://mandrillapp.com/api/1.0';
		$apiMethod = '/messages/send.json';

		$apiCallData = array(
			'key' => $apiKey,
			'message' => array(
				'html' => $emailTemplateData['view']['__message__'],
				'subject' => $emailTemplateData['view']['__subject__'],
				'from_email' => $emailConfigData['from'],
				'from_name' => $emailConfigData['fromName'],
				'to' => $mandrillToArray
			)
		);
		$apiCallDataJSON = json_encode( $apiCallData);
		//logVar( $apiCallDataJSON);
		
		$responseJSON = ContentigoUtils::doPost2( $endpointURL . $apiMethod, $apiCallDataJSON, true);
		//logVar( $responseJSON);
		$response = json_decode( $responseJSON, true);
		//logVar( $response);

	}
	
}
?>